<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hrss__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hrss_t</compoundname>
    <includes local="no">cy_ble_hrs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hrss__t_1a4282c8ff7e0fdd7eefd5a8a61f1a147f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hrss_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>Heart Rate Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="70" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hrss__t_1a47cbbf4a6dd93679ad1126b207a54dba" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hrss_t::charHandle[CY_BLE_HRS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_HRS_CHAR_COUNT]</argsstring>
        <name>charHandle</name>
        <briefdescription>
<para>Heart Rate Service Characteristics handles and properties array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="73" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="73" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hrss__t_1a037608b7476cf1070bc26548653985e1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hrss_t::hrmCccdHandle</definition>
        <argsstring />
        <name>hrmCccdHandle</name>
        <briefdescription>
<para>Heart Rate Measurement client char. </para>        </briefdescription>
        <detaileddescription>
<para>config. descriptor Handle </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="76" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Heart Rate Service attribute handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="77" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="68" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hrss__t_1a47cbbf4a6dd93679ad1126b207a54dba" virt="non-virtual"><scope>cy_stc_ble_hrss_t</scope><name>charHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hrss__t_1a037608b7476cf1070bc26548653985e1" virt="non-virtual"><scope>cy_stc_ble_hrss_t</scope><name>hrmCccdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hrss__t_1a4282c8ff7e0fdd7eefd5a8a61f1a147f" virt="non-virtual"><scope>cy_stc_ble_hrss_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>